# Generated by Django 4.2.3 on 2023-07-13 10:47

from django.db import migrations, models
import django.db.models.deletion
import modelcluster.fields


class Migration(migrations.Migration):

    dependencies = [
        ('forecastmanager', '0001_initial'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='forecast',
            name='max_temp',
        ),
        migrations.RemoveField(
            model_name='forecast',
            name='min_temp',
        ),
        migrations.RemoveField(
            model_name='forecast',
            name='wind_direction',
        ),
        migrations.RemoveField(
            model_name='forecast',
            name='wind_speed',
        ),
        migrations.AddField(
            model_name='forecast',
            name='data_value',
            field=models.JSONField(null=True),
        ),
        migrations.CreateModel(
            name='ForecastPeriod',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('forecast_effective_time', models.TimeField(unique=True, verbose_name='Forecast Effective Time')),
                ('label', models.CharField(max_length=100, verbose_name='Label')),
                ('whole_day', models.BooleanField(default=False, verbose_name='Is Whole Day')),
                ('parent', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='periods', to='forecastmanager.forecastsetting')),
            ],
            options={
                'ordering': ['sort_order'],
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ForecastDataParameters',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('parameter', models.CharField(choices=[('maximum_temperature', 'Maximum Temperature'), ('minimum_temperature', 'Minimum Temperature'), ('temperature', 'Temperature'), ('wind_speed', 'Wind Speed'), ('wind_direction', 'Wind Direction'), ('humidity', 'Humidity'), ('sunrise', 'Sunrise'), ('sunset', 'Sunrise'), ('moonrise', 'Moonrise'), ('moonset', 'Moonset')], max_length=100, unique=True, verbose_name='Parameter')),
                ('name', models.CharField(help_text='Parameter name as locally labelled', max_length=100, verbose_name='Parameter Label')),
                ('parent', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='data_parameters', to='forecastmanager.forecastsetting')),
            ],
            options={
                'ordering': ['sort_order'],
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='forecast',
            name='effective_period',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, to='forecastmanager.forecastperiod'),
        ),
    ]
